use wasm_bindgen::prelude::*;
use crate::program::Program;

#[wasm_bindgen]
pub struct Runner {
    program: Program,

    width: usize,
    height: usize,
}

#[wasm_bindgen]
impl Runner {
    #[wasm_bindgen(constructor)]
    pub fn new(program: Program, width: usize, height: usize) -> Runner {
        Runner {
            program,
            width,
            height
        }
    }
}
