import { Program } from "chaos-toy-rs";
import * as instruction from "./instruction";
import type { Component } from "solid-js";
import Simulator from "./Simulator";

const App: Component = () => {
  return (
    <>
      <Simulator nodes={[]} instructions={[instruction.noop()]} />
    </>
  );
};

export default App;
